---
#开发环境
spring:
  datasource:
    # 数据库连接池配置
    druid:
      # 初始化时建立物理连接的个数
      initial-size: 5
      # 最大连接池数量
      max-active: 10
      # 用来检测连接是否有效的sql语句
      validation-query: SELECT 1 FROM DUAL
      # 最小连接池数量
      min-idle: 5
      # 获取连接时最大等待时间，单位毫秒
      max-wait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位毫秒
      time-between-eviction-runs-millis: 60000
      url: jdbc:mysql://127.0.0.1/customer_service?useUnicode=true&useSSL=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8
      username: root
      password: 101020
      driver-class-name: com.mysql.cj.jdbc.Driver
      connectionInitSqls: set names utf8mb4
  jackson:
    default-property-inclusion: non_null
  rabbitmq:
    host: 127.0.0.1
    port: 5672
    username: admin
    password: admin
    delay-queue-name: delay.ack.dev
    staff-offline-Queue-Name: staff.offline.dev
    exchange-name: delay.exchange.dev
    listener:
      simple:
        default-requeue-rejected: false
  redis:
    database: 0
    host: 47.99.47.225
    password: temple123456
    port: 6379
  # （重要！）设置mvc默认语言为zh_CN，默认语言必须为static.i18n目录下有的语言配置文件，否则跟随服务器语言
  mvc:
    locale: zh_CN
  devtools:
    restart:
      log-condition-evaluation-delta: false
